From 926219577ac460be3291cc4b21d8ee7c50b71236 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Tue, 10 May 2022 21:46:37 +0200
Subject: [PATCH 04/34] Convert slurm_conf.last_update ->
 slurmctld_conf.last_update

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/common/slurm_protocol_api.c | 4 ++--
 src/slurmdbd/read_config.c      | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/common/slurm_protocol_api.c b/src/common/slurm_protocol_api.c
index 936670b5b2..1dfb4759f1 100644
--- a/src/common/slurm_protocol_api.c
+++ b/src/common/slurm_protocol_api.c
@@ -878,10 +878,10 @@ static int _check_hash(buf_t *buffer, header_t *header, slurm_msg_t *msg,
 	static time_t config_update = (time_t) -1;
 	static bool block_null_hash = true;
 
-	if (config_update != slurm_conf.last_update) {
+	if (config_update != slurmctld_conf.last_update) {
 		block_null_hash = (xstrcasestr(slurm_conf.comm_params,
 					       "block_null_hash"));
-		config_update = slurm_conf.last_update;
+		config_update = slurmctld_conf.last_update;
 	}
 
 	rc = auth_g_get_data(cred, &cred_hash, &cred_hash_len);
diff --git a/src/slurmdbd/read_config.c b/src/slurmdbd/read_config.c
index 9baadc307c..cd956255f0 100644
--- a/src/slurmdbd/read_config.c
+++ b/src/slurmdbd/read_config.c
@@ -596,7 +596,7 @@ extern int read_slurmdbd_conf(void)
 	if (!slurmdbd_conf->purge_usage)
 		slurmdbd_conf->purge_usage = NO_VAL;
 
-	slurm_conf.last_update = time(NULL);
+	slurmctld_conf.last_update = time(NULL);
 	slurm_mutex_unlock(&conf_mutex);
 	return SLURM_SUCCESS;
 }
-- 
2.35.3


